@echo off
if not (%1)==() goto doit
:usage
echo %0 is a batch file with the following  usage:
echo Batch file to set/switch color settings in WECHROMA.INI file
echo usage ASCHROMA 10                  (78c10)
echo usage ASCHROMA 74                  (5074x 374xx Mits 8 bit)
echo usage ASCHROMA 77                  (377xx Mits 16 bit)
echo usage ASCHROMA PIC [model]         (PIC 16c5X 16c71 16c84 17c42 etc.)
echo These programs will adjust support for the sellected processor and comment
echo out any alternate ASM file definitions.
pause
goto end
:doit
rem Change the following line if you have modified the path to WinEdit
if exist %WE%wechroma.ini goto FOUND
set WE=
if exist %WE%wechroma.ini goto FOUND
set WE=\winedit\
if not (%WE%) == (\winedit\) goto DAMNITALL
if exist %WE%wechroma.ini goto FOUND
set WE=c:\winedit\
if exist %WE%wechroma.ini goto FOUND
@echo Sorry, %0 cannot find wechroma.ini
@echo You will need to edit the batch file (%0)
@echo to set-up your custom path.
@pause
goto end
:DAMNITALL
@echo Sorry, due to a BUG in DOS (and Windows), %0
@echo cannot set an environment variable to find wechroma.ini.
@echo You will need to edit your AUTOEXEC.BAT file to add a line such as:
@echo ******************************************
@echo **          SET WE=C:\WINEDIT\          **
@echo ******************************************
@echo to point to the WINEDIT directory, or copy ASCHROMA.BAT and
@echo ASTAB*.EXE to your WINEDIT directory and execute them from there.
@pause
goto end
rem make a backup first
:FOUND
if not exist %WE%wechroma.ori copy %WE%wechroma.ini %WE%wechroma.ori
if exist %WE%wechroma.bak del %WE%wechroma.bak
rename %WE%wechroma.ini wechroma.bak

if (%1) == () goto PIC  ;default to PIC
if (%1) == (pic) goto PIC  ;PIC specified
if (%1) == (PIC) goto PIC  ;PIC specified

if (%1) == (74) goto AS74  ;specified cpu - Mitsubishi Melps 740 or  374xx 8 bit
if (%1) == (10) goto AS10  ;specified cpu - NEC 78c10
if (%1) == (77) goto AS77  ;specified cpu - Mits 377xx 16 bit

:AS74
        ASTAB74 <%WE%wechroma.bak > %WE%WECHROMA.INI
        goto end1

:AS77
        ASTAB77 <%WE%wechroma.bak > %WE%WECHROMA.INI
        goto end1

:AS10
        ASTAB10 <%WE%wechroma.bak > %WE%WECHROMA.INI
        goto end1

:PIC
        ASTABpic %2 %3 <%WE%wechroma.bak > %WE%WECHROMA.INI
        goto end1
:end1
        IF not errorlevel 1 goto end
        Echo *** ERROR DURING UPDATE ***
        type %WE%WECHROMA.INI
        copy %WE%wechroma.bak %WE%WECHROMA.INI
        goto usage
:end
 
